package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrSpecialDetail;
    import com.docus.server.dto.segmentation.ocrspecialdetail.AddOcrSpecialDetailDTO;
    import com.docus.server.dto.segmentation.ocrspecialdetail.EditOcrSpecialDetailDTO;
    import com.docus.server.dto.segmentation.ocrspecialdetail.DeleteOcrSpecialDetailDTO;
import com.docus.server.vo.segmentation.ocrspecialdetail.OcrSpecialDetailVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* 特殊规则详情 服务转换器
*
* @author AutoGenerator
* @since 2023-08-25
*/
@Mapper
public interface OcrSpecialDetailConvert {

    OcrSpecialDetailConvert INSTANCE = Mappers.getMapper(OcrSpecialDetailConvert.class);

    @Mappings({})
    OcrSpecialDetail convertDO(AddOcrSpecialDetailDTO addOcrSpecialDetailDTO);

    @Mappings({})
    OcrSpecialDetail convertDO(EditOcrSpecialDetailDTO editOcrSpecialDetailDTO);

    @Mappings({})
    List<OcrSpecialDetail> convertAddDOList(List<AddOcrSpecialDetailDTO> addOcrSpecialDetailDTO);

    @Mappings({})
    List<OcrSpecialDetail> convertEditDOList(List<EditOcrSpecialDetailDTO> editOcrSpecialDetailDTO);

    @Mappings({})
    OcrSpecialDetailVO convertVO(OcrSpecialDetail ocrSpecialDetail);

    @Mappings({})
    List<OcrSpecialDetailVO> convertVO(List<OcrSpecialDetail> ocrSpecialDetailList);

    @Mappings({})
    PageResult<OcrSpecialDetailVO> convertVO(PageResult<OcrSpecialDetail> pageResult);
}

